INEWS(1)

NAME
inews - send a Usenet article to the local news server for distribution

SYNOPSIS
inews [ -A ] [ -D ] [ -h ] [ -N ] [ -O ] [ -p port ] [ -R ] [ -S ] [ -V ] [ -W ] [ header_flags ] [ input ]

DESCRIPTION
Inews reads a Usenet news article (perhaps with headers) from the named file, or standard input if no file is given. It adds some headers and performs some consistency checks. If the article does not meet these checks (for example, too much quoting of old articles, or posting to non-existent newsgroups) then the article is rejected. If it passes the checks, inews sends the article to the local news server as specified in the inn.conf file for distribution.

OPTIONS

-A -V -W
    For compatibility with C News, inews accepts, but ignores, the ``-A'', ``-V'' and ``-W'' flags.

-D  As a debugging aid, if the ``-D'' flag is used, the consistency checks will be performed, and the article will be sent to the standard output, rather then sent to the server.

-h  In the standard mode of operation, the input consists of the article headers, a blank line, and the message body. For compatibility with older software, the ``-h'' flag must be used. If there are no headers in the message, then this flag may be omitted.

-N  The C News ``-N'' flag is treated as the ``-D'' flag.

-O  By default, an Organization header will be provided if none is present in the article. To prevent adding the default, use the ``-O'' flag.

-p  If the ``-p'' flag is used, then the articles will be sent through the specified port on the remote host.

-R  If the ``-R'' flag is used then inews will reject any attempts to post control messages.

-S  By default, if a file named .signature exists in the user's home directory, inews will try to append it to the end of the article. If the file cannot be read, or if it is too long (for example, more than four lines or one standard I/O buffer), or if some other problem occurs, then the article will not be posted. To suppress this action use the ``-S'' flag.

header_flags
    Several headers may be specified on the command line, shown in the synopsis above as header_flags. Each of these flags takes a single parameter; if the value is more than one word (for example, almost all Subject lines) then quotes must be used to prevent the shell from splitting it into multiple words. The options, and their corresponding headers, are as follows:
        a       Approved
        c       Control
        d       Distribution
        e       Expires
        F       References
        f       From
        n       Newsgroups
        o       Organization
        r       Reply-To
        t       Subject
        w       Followup-To
        x       Path prefix

    If <DO_INEWS_PATH in include/config.h> is defined, the Path header is built according to the following rules. If the ``-x'' flag is used, then its value will be the start of the header. Any other host will see the site in the header, and therefore not offer the article to that site. If <DO_INEWS_PATH in include/config.h> is defined and the ``pathhost'' configuration parameter is specified in the inn.conf file, then it will be added to the Path. Otherwise, if the ``server'' configuration parameter is specified, then the full domain name of the local host will be added to the Path. The Path will always end <PATHMASTER in include/config.h> (typically not-for-mail)

NOTES

If an unapproved posting is made to a moderated newsgroup, inews will try to mail the article to the moderator for posting. It will query the remote news server for a moderators listing. If that fails, it will fallback to using the local moderators file to determine the mailing address. If no address is found, it will use ``moderatormailer'' in inn.conf to determine a ``last-chance'' host to try.

If the NNTP server needs to authenticate the client, inews will use the NNTPsendpassword(3) routine to authenticate itself. In order to do this, the program will need read access to the passwd.nntp file. This is typically done by having the file group-readable and making inews run setgid to that group.

Inews exits with a zero status if the article was successfully posted or mailed, or with a non-zero status if the article could not be delivered.

Since inews will spool its input if the server is unavailable, it is usually necessary to run rnews(1) with the ``-U'' flag on a regular basis, usually out of cron(8).

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
moderators(5), inn.conf(5). rnews(1).